IF EXISTS (
    SELECT * 
    FROM sys.columns 
    WHERE object_id = OBJECT_ID(N'[dbo].[HAKILCIISTEMMUKERRERLIK]') 
    AND name = 'SORGULAMATARIHI'
)
BEGIN
    -- Eğer default kısıtlaması varsa, önce kaldır
    IF EXISTS (
        SELECT * 
        FROM sys.default_constraints 
        WHERE parent_object_id = OBJECT_ID(N'[dbo].[HAKILCIISTEMMUKERRERLIK]')
        AND name = 'DF_HAKILCIISTEMMUKERRERLIK_SORGULAMATARIHI'
    )
    BEGIN
        ALTER TABLE [dbo].[HAKILCIISTEMMUKERRERLIK] DROP CONSTRAINT [DF_HAKILCIISTEMMUKERRERLIK_SORGULAMATARIHI];
    END

    -- Yeni default kısıtlamayı ekle
    ALTER TABLE [dbo].[HAKILCIISTEMMUKERRERLIK] 
    ADD CONSTRAINT [DF_HAKILCIISTEMMUKERRERLIK_SORGULAMATARIHI] DEFAULT (GETDATE()) FOR [SORGULAMATARIHI];
END
GO

IF NOT EXISTS (SELECT * FROM SYSCOLUMNS INNER JOIN SYSOBJECTS ON SYSOBJECTS.id = SYSCOLUMNS.id 
              WHERE SYSCOLUMNS.NAME = 'KYTARIHI' AND SYSOBJECTS.name = 'HAKILCIISTEMMUKERRERLIK')
ALTER TABLE dbo.[HAKILCIISTEMMUKERRERLIK] ADD KYTARIHI DATETIME null
go

IF EXISTS (
    SELECT * 
    FROM sys.columns 
    WHERE object_id = OBJECT_ID(N'[dbo].[HAKILCIISTEMMUKERRERLIK]') 
    AND name = 'KYTARIHI'
)
BEGIN
    -- Eğer default kısıtlaması varsa, önce kaldır
    IF EXISTS (
        SELECT * 
        FROM sys.default_constraints 
        WHERE parent_object_id = OBJECT_ID(N'[dbo].[HAKILCIISTEMMUKERRERLIK]')
        AND name = 'DF_HAKILCIISTEMMUKERRERLIK_KYTARIHI'
    )
    BEGIN
        ALTER TABLE [dbo].[HAKILCIISTEMMUKERRERLIK] DROP CONSTRAINT [DF_HAKILCIISTEMMUKERRERLIK_KYTARIHI];
    END

    -- Yeni default kısıtlamayı ekle
    ALTER TABLE [dbo].[HAKILCIISTEMMUKERRERLIK] 
    ADD CONSTRAINT [DF_HAKILCIISTEMMUKERRERLIK_KYTARIHI] DEFAULT (GETDATE()) FOR [KYTARIHI];
END
GO


IF NOT EXISTS (SELECT * FROM SYSCOLUMNS INNER JOIN SYSOBJECTS ON SYSOBJECTS.id = SYSCOLUMNS.id 
              WHERE SYSCOLUMNS.NAME = 'SUBEID' AND SYSOBJECTS.name = 'HAKILCIISTEMMUKERRERLIK')
ALTER TABLE dbo.[HAKILCIISTEMMUKERRERLIK] ADD SUBEID int null
go

UPDATE HAKILCIISTEMMUKERRERLIK SET SUBEID = HDOSYA.SUBEID FROM HAKILCIISTEMMUKERRERLIK 
     INNER JOIN HDOSYA ON HDOSYA.HDOSYAID=HAKILCIISTEMMUKERRERLIK.HDOSYAID 
GO
